aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xorg-server/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-03 11:53:22 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-03 11:53:22 +0000
commit627cf2171d6f035e046c0d722e1befef294ceb00 (patch)
treeb455a14e5df436ea6a70fdf46e8bec1876a8deb1 /x11/xorg-server/APKBUILD
parent7b57e0960f4e8c948a1367db817176165ff448c8 (diff)
downloadaports-627cf2171d6f035e046c0d722e1befef294ceb00.tar.gz
aports-627cf2171d6f035e046c0d722e1befef294ceb00.tar.bz2
aports-627cf2171d6f035e046c0d722e1befef294ceb00.tar.xz
x11/xorg-server: first release with the real Xorg server
Diffstat (limited to 'x11/xorg-server/APKBUILD')
-rw-r--r--x11/xorg-server/APKBUILD76
1 files changed, 61 insertions, 15 deletions
diff --git a/x11/xorg-server/APKBUILD b/x11/xorg-server/APKBUILD
index e28cd40d42..369434ff98 100644
--- a/x11/xorg-server/APKBUILD
+++ b/x11/xorg-server/APKBUILD
@@ -1,16 +1,47 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xorg-server
pkgver=1.6.0
-pkgrel=1
+pkgrel=2
pkgdesc="X.Org X servers"
url="http://xorg.freedesktop.org"
license="custom"
-subpackages="$pkgname-dev $pkgname-doc"
-depends="libx11 libxfont openssl libxxf86misc libpciaccess libxv pixman"
-makedepends="pkgconfig libx11-dev libxfont-dev openssl-dev libxxf86misc
- libpciaccess-dev libxv-dev pixman-dev libxkbfile-dev randrproto
- fixesproto renderproto damageproto xcmiscproto xextproto xtrans
- bigreqsproto resourceproto inputproto libxkbui-dev
+subpackages="$pkgname-dev $pkgname-doc xfbdev xephyr"
+depends="
+ libpciaccess
+ libx11
+ libxdamage
+ libxfont
+ libxv
+ libxxf86dga
+ libxxf86misc
+ openssl
+ pixman
+ uclibc
+ "
+makedepends="
+ libpciaccess-dev
+ libx11-dev
+ libxdamage-dev
+ libxfont-dev
+ libxkbfile-dev
+ libxkbui-dev
+ libxv-dev
+ libxxf86dga-dev
+ libxxf86misc-dev
+ openssl-dev
+ pixman-dev
+
+ bigreqsproto
+ damageproto
+ fixesproto
+ inputproto
+ pkgconfig
+ randrproto
+ renderproto
+ resourceproto
+ xcmiscproto
+ xextproto
+ xtrans
"
# hal>=0.5.11 xcursor-themes xkeyboard-config>=1.3
# xorg-server-utils xorg-utils xorg-fonts-misc xbitmaps libdrm>=2.3.1
@@ -22,6 +53,7 @@ source="http://xorg.freedesktop.org/releases/individual/xserver/$pkgname-$pkgver
build () {
cd "$srcdir"/$pkgname-$pkgver
patch configure < ../nocxx.patch || return 1
+
./configure --prefix=/usr \
--sysconfdir=/etc/X11 \
--localstatedir=/var \
@@ -29,6 +61,10 @@ build () {
--enable-xfbdev \
--enable-kdrive \
--enable-kdrive-vesa \
+ --enable-randr \
+ --enable-xorg \
+ --enable-xv \
+ --enable-xephyr \
--disable-composite \
--disable-config-dbus \
--disable-config-hal \
@@ -41,24 +77,17 @@ build () {
--disable-xfree86-utils \
--disable-xinerama \
--disable-xnest \
- --disable-xorg \
--disable-xorgcfg \
--disable-xsdl \
--disable-xvfb \
--disable-aiglx \
--disable-xres \
- --disable-xv \
--disable-xvmc \
--disable-screensaver \
--disable-glx \
--disable-xinerama \
--disable-xace \
--disable-dbe \
- --disable-dpms \
- --disable-randr \
- --with-default-font-path=/usr/share/fonts/misc,/usr/share/fonts/100dpi:unscaled,/usr/share/fonts/75dpi:unscaled,/usr/share/fonts/TTF,/usr/share/fonts/Type1 \
- --with-xkb-path=/usr/share/X11/xkb \
- --with-xkb-output=/var/lib/xkb \
|| return 1
# --enable-xnest \
@@ -103,11 +132,28 @@ build () {
# --enable-xfree86-utils Build xfree86 DDX utilities (default: enabled)
make || return 1
- make DESTDIR="$pkgdir" install || return 1
+ make -j1 DESTDIR="$pkgdir" install || return 1
install -m755 -d "$pkgdir"/etc/X11 || return 1
install -m755 -d "$pkgdir"/var/lib/xkb || return 1
install -m644 -D COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
}
+
+
+xfbdev() {
+ pkgdesc="X.org server for framebuffer"
+ depends="libxfont libxau pixman libxdmcp openssl uclibc"
+ mkdir -p "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/Xfbdev "$subpkgdir"/usr/bin/
+}
+
+xephyr() {
+ pkgdesc="kdrive based X Server which targets a window on a host X Server as its framebuffer"
+ depends="pixman openssl libx11 libxext libxfont libxau libxdmcp libxv
+ uclibc"
+ mkdir -p "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/Xephyr "$subpkgdir"/usr/bin/
+}
+
md5sums="aafe73f5807ce8bb534727ecb72467c7 xorg-server-1.6.0.tar.bz2
28513788ba4d556ccd538867dc6205ab nocxx.patch"